## mmsd-tng 2.6.4

=== meson_options.txt ===
option('build-mmsctl', type : 'boolean', value : false)

## mmsd-tng 1.9

=== debian/changelog ===
mmsd-tng (1.9-1) unstable; urgency=medium

  * Update copyright of debian/ folder for 2022
  * Add myself as uploader
  * d/changelog: Fix typos and remove redundant lines

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sat, 19 Feb 2022 02:46:03 +0100

mmsd-tng (1.8-1) unstable; urgency=medium

  * New upstream version 1.8
  * Drop ofono from recommended packages

 -- Chris Talbot <chris@talbothome.com>  Wed, 2 Feb 2022 20:12:21 -0500

mmsd-tng (1.7-1) unstable; urgency=medium

  * New upstream version 1.7
    * Add better network handling for MMS
    * Add support for expired MMSes
    * Improve changing settings via DBus
    * Don't log messages multiple times

 -- Chris Talbot <chris@talbothome.com>  Thu, 30 Dec 2021 13:50:39 -0500

mmsd-tng (1.6-1) unstable; urgency=medium

  [ Chris Talbot ]
  * New upstream version 1.6
    - Add autoconfig via mobile-broadband-provider-info
    - Support Verizon USA MMS
    - add cli tool
    - support systemd-resolved
    - Bug and leak fixes

  [ Guido Günther ]
  * Upload to unstable

 -- Chris Talbot <chris@talbothome.com>  Fri, 3 Dec 2021 18:40:26 -0400

mmsd-tng (1.0~beta5-2) experimental; urgency=medium

  * Update d/copyright to reflect headers

 -- Chris Talbot <chris@talbothome.com>  Wed, 7 Oct 2021 07:25:27 -0400

mmsd-tng (1.0~beta5-1) experimental; urgency=medium

  [ Chris Talbot ]
  * Add support for delivery reports

  [ Guido Günther ]
  * Fix various Memory Leaks

 -- Chris Talbot <chris@talbothome.com>  Sat, 5 Jun 2021 10:24:25 -0400

mmsd-tng (1.0~beta4-1) experimental; urgency=medium

  * Initial release (Closes: #982250)

 -- Chris Talbot <chris@talbothome.com>  Sat, 15 May 2021 09:15:40 -0400

=== debian/control ===
Source: mmsd-tng
Section: comm
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Chris Talbot <chris@talbothome.com>,
           Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>
Build-Depends:
  debhelper-compat (= 13),
  meson,
  libglib2.0-dev,
  libphonenumber-dev,
  libmm-glib-dev,
  libc-ares-dev,
  libsoup2.4-dev,
  mobile-broadband-provider-info
Standards-Version: 4.5.1.0
Homepage: https://gitlab.com/kop316/mmsd
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/mmsd-tng
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/mmsd-tng.git
Rules-Requires-Root: no


Package: mmsd-tng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: modemmanager
Description: Multimedia Messaging Service Daemon - The Next Generation
 Multimedia Messaging Service Daemon - The Next Generation (mmsd-tng)
 is a backend package that fully supports the Multimedia Messaging Service
 (MMS) stack. This package works with the Modem Manager telephony stack.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/mmsd.*\.tar\.gz/mmsd-$1\.tar\.gz/g,uversionmangle=s/\.beta/~beta/ \
  https://gitlab.com/kop316/mmsd/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*

## mmsd-tng 1.10

=== debian/changelog ===
mmsd-tng (1.10-1) unstable; urgency=medium

  * Update d/gbp.conf with better default and document usage
  * d/control: Set required c-ares version to 1.18.0
  * Update copyright

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Wed, 29 Jun 2022 08:31:17 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
   libglib2.0-dev,
   libphonenumber-dev,
   libmm-glib-dev,
-  libc-ares-dev,
+  libc-ares-dev (>= 1.18.0),
   libsoup2.4-dev,
   mobile-broadband-provider-info
 Standards-Version: 4.5.1.0

## mmsd-tng 1.12.1

=== debian/changelog ===
mmsd-tng (1.12.1-1) unstable; urgency=medium

  [ Chris Talbot ]
  * New upstream version 1.12.1
  * Update Standards Version to 4.6.1.0
  * Lintian Overrides: Ignore test data

  [ Debian Janitor ]
  * Set upstream metadata fields
  * Fix day-of-week for changelog entry 1.0~beta5-2.

 -- Chris Talbot <chris@talbothome.com>  Fri, 23 Sep 2022 23:36:02 -0400

mmsd-tng (1.11-1) unstable; urgency=medium

  * Team upload.

  [ Chris Talbot ]
  * New upstream version 1.11
  * d/gbp.conf: Add vcs upstream tag

 -- Chris Talbot <chris@talbothome.com>  Sun, 14 Aug 2022 20:55:11 -0400

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
   libc-ares-dev (>= 1.18.0),
   libsoup2.4-dev,
   mobile-broadband-provider-info
-Standards-Version: 4.5.1.0
+Standards-Version: 4.6.1.0
 Homepage: https://gitlab.com/kop316/mmsd
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/mmsd-tng
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/mmsd-tng.git

## mmsd-tng 2.0.0

=== debian/changelog ===
mmsd-tng (2.0.0-1build1) lunar; urgency=medium

  * No-change rebuild against libphonenumber8-protobuf32.

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:39:28 +0000

mmsd-tng (2.0.0-1) unstable; urgency=medium

  [ Chris Talbot ]
  * New upstream version 2.0.0 (Closes: #1025264)
  * d/copyright: Update copyright

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Wed, 07 Dec 2022 11:33:28 +0100

mmsd-tng (2.0~beta-1) unstable; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * d/gbp.conf: Fix upstream-vcs-tag
  * d/gbp.conf: Update usage documentation

  [ Chris Talbot ]
  * New upstream version 2.0~beta
  * d/control: Update libsoup dependency to libsoup-3.0

 -- Federico Ceratto <federico@debian.org>  Wed, 23 Nov 2022 21:01:52 +0000

## mmsd-tng 2.1.0

=== debian/changelog ===
mmsd-tng (2.1.0-1) unstable; urgency=medium

  [ Chris Talbot ]
  * New upstream version 2.1.0
  * d/user.service: Do not run debug by default

  [ Evangelos Ribeiro Tzaras ]
  * d/user.service: Don't start for system users (Closes: #1026998)

 -- Chris Talbot <chris@talbothome.com>  Fri, 06 Jan 2023 22:36:59 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Chris Talbot <chris@talbothome.com>,
-           Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>
+           Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>,
+           Federico Ceratto <federico@debian.org>
 Build-Depends:
   debhelper-compat (= 13),
   meson,
@@ -11,7 +12,7 @@
   libphonenumber-dev,
   libmm-glib-dev,
   libc-ares-dev (>= 1.18.0),
-  libsoup2.4-dev,
+  libsoup-3.0-dev,
   mobile-broadband-provider-info
 Standards-Version: 4.6.1.0
 Homepage: https://gitlab.com/kop316/mmsd

## mmsd-tng 2.4.0

=== debian/changelog ===
mmsd-tng (2.4.0-1) unstable; urgency=medium

  [ Chris Talbot ]
  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 27 Jul 2023 14:58:31 +0200

mmsd-tng (2.3.0-1) unstable; urgency=medium

  [ Chris Talbot ]
  * New upstream version 2.3.0
  * d/control: Update Standards to 4.6.2

  [ Arnaud Ferraris ]
  * d/control: add myself to Uploaders

 -- Arnaud Ferraris <aferraris@debian.org>  Sun, 18 Jun 2023 15:39:43 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Chris Talbot <chris@talbothome.com>,
            Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>,
-           Federico Ceratto <federico@debian.org>
+           Federico Ceratto <federico@debian.org>,
+           Arnaud Ferraris <aferraris@debian.org>,
 Build-Depends:
   debhelper-compat (= 13),
   meson,
@@ -14,7 +15,7 @@
   libc-ares-dev (>= 1.18.0),
   libsoup-3.0-dev,
   mobile-broadband-provider-info
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://gitlab.com/kop316/mmsd
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/mmsd-tng
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/mmsd-tng.git

## mmsd-tng 2.5.0

=== debian/changelog ===
mmsd-tng (2.5.0-1) unstable; urgency=medium

  * New upstream version

 -- Chris Talbot <chris@talbothome.com>  Tue, 05 Sep 2023 22:25:14 -0400

## mmsd-tng 2.6.0

=== debian/changelog ===
mmsd-tng (2.6.0-3) unstable; urgency=medium

  [ Chris Talbot ]
  * d/patches: fix t_64 not compiling on 32-bit systems (Closes: #1067918)
  * d/watch: Conform to new watch file for gitlab

 -- Christopher Talbot <chris@talbothome.com>  Sat, 06 Apr 2024 09:09:05 -0600

mmsd-tng (2.6.0-2) unstable; urgency=medium

  [ Philip J Freeman ]
  * build and package mmsctl too

 -- Chris Talbot <chris@talbothome.com>  Fri, 22 Mar 2024 13:52:25 -0600

mmsd-tng (2.6.0-1) unstable; urgency=medium

  * New upstream version

  [ Chris Talbot ]
  * patches: add patch to allow compiling on i386

 -- Chris Talbot <chris@talbothome.com>  Fri, 16 Feb 2024 13:54:52 -0700

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.com/kop316/mmsd/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## mmsd-tng 2.6.2

=== debian/changelog ===
mmsd-tng (2.6.2-1) unstable; urgency=medium

  [ Chris Talbot ]
  * d/watch: Update for new Gitlab Page
  * d/patches: Remove patches integrated into upstream

 -- Christopher Talbot <chris@talbothome.com>  Wed, 16 Oct 2024 21:18:18 -0600

## mmsd-tng 2.6.3

=== debian/changelog ===
mmsd-tng (2.6.3-1) unstable; urgency=medium

  [ Chris Talbot ]
  * New Upstream Version

 -- Christopher Talbot <chris@talbothome.com>  Sat, 01 Feb 2025 10:11:56 -0700

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dbuild-mmsctl=true

## mmsd-tng 2.6.4

=== debian/changelog ===
mmsd-tng (2.6.4-1) unstable; urgency=medium

  [ Chris Talbot ]
  * New Upstream Version

 -- Christopher Talbot <chris@talbothome.com>  Fri, 04 Jul 2025 13:21:09 -0600

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,8 @@
   libphonenumber-dev,
   libmm-glib-dev,
   libc-ares-dev (>= 1.18.0),
+  libdbus-1-dev,
+  libjson-c-dev,
   libsoup-3.0-dev,
   mobile-broadband-provider-info
 Standards-Version: 4.6.2

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.com/kop316/mmsd/tags?sort=updated_desc -/archive/v?\d[\d.]+/mmsd-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
